<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');

/**
 * Clears the box cache if fired
 * 
 * @package	com.woltlab.community.portal.news
 * @author	Ronny Lau, Alexander Ebert
 * @copyright	2009 -2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	system.event.listener
 * @category	Portal
 */
class PortalClearNewsCacheListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if ($className == 'ThreadActionPage' || $className == 'PostActionPage' || (is_object($eventObj->board) && in_array($eventObj->board->boardID, explode(',', NEWSBOX_BOARDID)))) {
			$box = PortalBox::getBoxByName('news');
			$box->clearDataCache();
		}			
	}
}
?>